shisa_principal_update(3)

NAME
shisa_principal_update - API function

SYNOPSIS
#include <shisa.h>

int shisa_principal_update(Shisa * dbh, const char * realm, const char * principal, const Shisa_principal * ph);

ARGUMENTS

Shisa * dbh
    Shisa library handle created by shisa().

const char * realm
    Name of the realm the principal belongs to.

const char * principal
    Name of principal to get information about.

const Shisa_principal * ph
    Pointer to an existing principal structure containing information to store in the database.

DESCRIPTION
Modifies information stored about the given principal PRINCIPAL@REALM. Note that it is usually a good idea to set in ph only the fields that are to be updated.

It is generally suggested to first call shisa_principal_find(), to get the current information, then to modify one field and call shisa_principal_update().

Modifying several values is not recommended in general, as this will 1) overwrite any modifications made to other fields between the two calls (by other processes) and 2) will cause all values to be written again, which may generate more overhead.

RETURN VALUE
Returns SHISA_OK if successful, SHISA_NO_REALM if the indicated realm does not exist, SHISA_NO_PRINCIPAL if the indicated principal does not exist, or an error code otherwise.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.